Visualizzazione risultati 1 fino 8 di 8
Like Tree1Likes
  • 1 Post By tutorialjavascript

Discussione: MySQL 8

  1. #1
    Data registrazione
    28-12-2017
    Messaggi
    5

    Predefinito MySQL 8

    Salve, oggi ho provato ad aprire il mio sito (ancora in Drupal 7) https://tutorialjavascript.altervista.org/ e ho ricevuto questo errore: PDOException: SQLSTATE[42000]: Syntax error or access violation.
    Di sicuro fino a 2 giorni fa tutto funzionava.
    Dopo un po' di investigazioni credo che il problema sia che il database sta usando MySQL 8 invece di 5.6
    E' almeno un mese che non accedo al pannello di controllo di altervista quindi mi sembra molto strano di aver volontariamente richiesto questa versione di MySQL.
    Come faccio a fare il downgrade?
    Ultima modifica di tutorialjavascript : 09-11-2020 alle ore 23.04.25

  2. #2
    L'avatar di alemoppo
    alemoppo  connesso ora Staff AV
    Data registrazione
    24-08-2008
    Residenza
    PU / BO
    Messaggi
    17,976

    Predefinito

    Da qui: http://it.altervista.org/cplogin.php?redirect=db.pl

    Se hai mysql 5.6 dovrebbe apparirti cos:


    Se invece hai mysql 8 appare cos:


    Prima verifica quale versione hai attualmente.

    Ciao!

  3. #3
    Data registrazione
    28-12-2017
    Messaggi
    5

    Predefinito

    Grazie alemoppo, ti confermo che da quella pagina risulta che sto usando MySQL 8 ma non l'ho mai richiesto.
    Non vedo pero' l'opzione per tornare a 5.6
    Ho notato che anche InnoDB e i triggers sono attivi e non ricordo di averli attivati personalmente.

    Sono entrato in altro sito in Drupal, dove quest'estate stavo provavo ad installare Drupal 9 e anche qui mi trovo attivato MySQL 8. E nel pannello altervista di questo sito non ci entro da giugno, perche' appunto non si poteva installare Drupal 9.
    Siete sicuri che MySQL 8, in alcuni casi, non si abiliti in automatico?

    Come posso fare per il downgrade e ritornare a 5.6?
    Ultima modifica di tutorialjavascript : 10-11-2020 alle ore 00.00.24

  4. #4
    L'avatar di alemoppo
    alemoppo  connesso ora Staff AV
    Data registrazione
    24-08-2008
    Residenza
    PU / BO
    Messaggi
    17,976

    Predefinito

    In effetti mi hanno spiegato che possibile l'upgrade automatico a mysql 8.

    Prova come descritto qui: https://www.drupal.org/project/hostm...issues/3168323

    Se non dovessi riuscire a risolvere, fammi sapere.

    Ciao!

  5. #5
    Data registrazione
    28-12-2017
    Messaggi
    5

    Predefinito

    Grazie alemoppo, ho provato a dare un'occhiata, ma avendo una versione di Drupal non aggiornata, alcune righe di codice della patch non corrispondono.

    Non si riesce a fare solo il downgrade di mysql?

  6. #6
    Data registrazione
    28-12-2017
    Messaggi
    5

    Predefinito

    Salve, qualche aggiornamento su questo topic? Ormai il sito e' down da 3 giorni.

  7. #7
    L'avatar di alemoppo
    alemoppo  connesso ora Staff AV
    Data registrazione
    24-08-2008
    Residenza
    PU / BO
    Messaggi
    17,976

    Predefinito

    Ho applicato la patch a Drupal7 ed ha funzionato. Puoi provare sostituendo questi file? Ovviamente prima procedi con un backup completo (spazio + database), soprattutto salvati i file che sostituirai con quelli dell'archivio.

    Fammi sapere.

    Ciao!

  8. #8
    Data registrazione
    28-12-2017
    Messaggi
    5

    Predefinito

    Ciao alemoppo, grazie del supporto, ho risolto con i tuoi files!!
    alemoppo likes this.

Regole di scrittura

  • Non puoi creare nuove discussioni
  • Non puoi rispondere ai messaggi
  • Non puoi inserire allegati.
  • Non puoi modificare i tuoi messaggi
  •